

#' Euclidean algorithm to find the 
#' greatest common divisor of two numbers
#' @title  euclidean algorithm
#' @param x first number
#' @param y second number
#' @export
#' @examples
#' # Example 1: Find the GCD of 56 and 98
#' euclidean(56, 98) 
#' # Returns: 14
euclidean <- function(x,y) {
  x <- abs(x)
  y <- abs(y)
  if (!is.numeric(x) | length(x) != 1){
    stop('pls check your input x')
  }
  if (!is.numeric(y) | length(y) != 1){
    stop('pls check your input y')
  }
  a <- ifelse(x < y, y, x)
  b <- ifelse(x < y, x, y)
  repeat{
    mode = a %% b
    if (mode == 0) {
      return (b)
    }
    a <- b
    b <- mode
  }
  return (b)
}

